Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-11-2010 14:04:23

Alicia
Membre
Inscription : 21-08-2010

[RESOLU] Upgrade Lenny->Squeeze

Bonjour à tous,
suite à la discussion de ce topic : Problème de son dans les speakers - Lenny , je poste ici pour continuer la discussion sur l'upgrade de Lenny à Squeeze...

D'après les explications de Clem et Asmodée, tout semblait pourtant ma foi fort simple... et pourtant !

Tout d'abord, lors de l'installation du nouveau noyau :

#aptitude -t testing install linux-image-2.6.32-5-i386


j'obtiens le message suivant :

Impossible de trouver un paquet dont le nom ou la description correspond à « linux-image-2.6.32-5-i386 »


Mais le pc continue quand même à effectuer les tâches, malgré le message 'Aucun paquet ne va être installé, mis à jour ou enlevé' :

Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 1169 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu      
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait


Bref, la commande #uname -a retourne :

Linux acdebian 2.6.26-2-686 #1 SMP Thu Sep 16 19:35:51 UTC 2010 i686 GNU/Linux


Et je me demande donc si ARCH est effectivement i386 (ce qui me semblait logique), ou plutot i686 ou même juste 686...

Autre petite info, petit problème qui ne semblait pas significatif, mais peut etre que...
Après l'ajout des dépots pour Squeeze dans mon sources.list, je fais un petit #aptitude update, et voilà :

Err http://wine.budgetdedicated.com etch/main Packages                          
  404 Not Found
Atteint http://ftp.fr.debian.org lenny Release                                  
Err http://wine.budgetdedicated.com etch/main Sources                          
  404 Not Found


et pourtant je n'ai aucune ligne ressemblant à ça dans mon sources.list, et je tourne sous lenny depuis qq temps, plus sous etch...

Pour finir, je me suis dit, peut etre que malgré ces petits messages moyennement sympathiques, le noyau est tout de même installé... un petit redémarrage, mais dans grub seulement mon noyau lenny et mon windows xp...

J'attends vos lumières pour continuer cette upgrade...

Dernière modification par Alicia (08-01-2011 20:00:00)

Hors ligne

#2 10-11-2010 15:05:08

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Utilise Synaptic... sauf si tu veux te taper le manuel d'aptitude bien sûr... Cherche ensuite "linux-image-" et installe le 2.6.32-5-636 (oui, ton intuition était juste... on parle souvent de i386 par abus de langage).
Redémarre et choisi la ligne dans Grub qui correspond à ce nouveau noyau (normalement, ce sera déjà la ligne par défaut). Et ensuite, tu peux continuer.

Hors ligne

#3 10-11-2010 15:10:28

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Pour l'histoire de wine, on s'en fout... Un problème à la fois et celui-ci n'est pas lié du tout.

Ensuite, tu n'avais pas besoin de redémarrer : rien n'est magique sous GNU/Linux. Tu te rendras compte (et c'est super frustrant) que contrairement à un autre système bien connu, le redémarrage n'apporte, dans l'immense majorité des cas, strictement rien. On ne peut plus se dire "ah... ça bug complètement, un redémarrage et c'est reparti" ou "merde, mon pilote ne s'est pas bien installé... on redémarre et oh ! Magie ! Les pilotes sont non seulement installés, mais ils fonctionnent !". Dans ton cas aptitude te dis "connais pas" donc il ne va rien installer (ce que tu as dis toi-même), donc tu ne trouve rien au redémarrage : implacable. smile

Hors ligne

#4 10-11-2010 16:27:22

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Ok ok !! merci encore pour toutes ces infos !! donc l'installation du noyau est faite (par synaptic, en effet pourquoi s'embêter à utiliser aptitude alors que ça fonctionne tout aussi bien en mode graphique !).
Forcément, tout ne se passe pas comme prévu, ça serait un peu trop beau, et ça ne serait plus vraiment de l'informatique...

Donc lors du redémarrage sur le nouveau noyau, le système s'arrête à : "Waiting for root file system..."

Cela m'était déjà arrivé lors du passage Etch->Lenny, et avait été corrigé assez facilement en remettant les numéros de partition root comme il fallait dans grub (à savoir mon root est sur /dev/hda3, donc dans grub root(hd0,2) )...

Ici ça ne change rien... Je peux par contre toujours démarrer sur l'ancien noyau où tout fonctionne comme avant, en utilisant la même partition...

Lors de l'installation du nouveau noyau, synaptic m'a demandé si je voulais utiliser le renommage automatique des partitions, j'ai dit oui (peut etre n'aurai-je pas du ??). Anyway voilà le contenu de mon /etc/fstab si jamais ça peut aider :

# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0
# /dev/hda3       /               ext3    defaults,errors=remount-ro 0       1
UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2       /               ext3    defaults,errors=remount-ro 0       1
# /dev/hda7       /home           ext3    defaults        0       2
UUID=5b9a88e9-78df-4c04-a519-23826c673e5f       /home           ext3    defaults        0       2
# /dev/hda6       none            swap    sw              0       0
UUID=704aa74d-7e7c-443e-9bed-688c8be26085       none            swap    sw              0       0
# /dev/hdb        /media/cdrom0   udf,iso9660 user,noauto     0       0
/dev/cdrom        /media/cdrom0   udf,iso9660 user,noauto     0       0
# /dev/hda1 /media/winc vfat  defaults,user,uid=0,gid=1000,umask=113,dmask=002  0 0
UUID=E8C3-4C5B  /media/winc vfat  defaults,user,uid=0,gid=1000,umask=113,dmask=002  0 0
# /dev/hda5       /media/wind vfat  defaults,user,uid=0,gid=1000,umask=113,dmask=002  0 0
UUID=4C64-76D1       /media/wind  vfat  defaults,user,uid=0,gid=1000,umask=113,dmask=002  0 0
/dev/sda1 /media/hdd  vfat  defaults,user 0 0
/dev/sdb1 /media/usb  vfat  defaults,user 0 0


Avant l'installation du noyau 2.6.32, je n'avais pas les lignes UUID=xxx (il me semble que c'est ce qui a été fait lors du nommage auto lors de l'installation)...

Une idée qui pourrait m'aider ??

Hors ligne

#5 10-11-2010 17:36:07

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Lors de l'installation du nouveau noyau, synaptic m'a demandé si je voulais utiliser le renommage automatique des partitions, j'ai dit oui (peut etre n'aurai-je pas du ??).


Ca c'est le progrès roll et ç'est pas si mal finalement. La nouvelle version de Grub ( Grub2 alias Grub-pc ) se base sur les identifiants des disques. Pour vérifier: ls -al /dev/disk/by-uuid

(par synaptic, en effet pourquoi s'embêter à utiliser aptitude alors que ça fonctionne tout aussi bien en mode graphique !).


En console tu aurais eu une sortie détaillée des messages d'erreurs. tongue ... lol ( flippant mais utile )

J'ai deux/trois "idée" mais un autre avis serais le bienvenue:

. installer les headers du kernel 2.6.32 ( le nom du paquet commence par linux-header )
. Un petit update-grub manuel (???)

Lors de l'upgrade garde un fstab minimal ( par mesure de sécurité ).

Dernière modification par Clem (11-11-2010 01:00:20)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#6 10-11-2010 17:41:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Salut !

Perso, je me sers de synaptic pour une recherche de paquets et les identifier (savoir à quoi ils servent), sans les installer puis je les installe avec aptitude pour la gestion des dépendances.

Facile, non ?

Amitié, Jojo le jobard big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#7 10-11-2010 18:27:28

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Pour les logs, c'est /var/log/apt/term* ainsi on aura les messages d'erreur (ben oui, ça a beau être graphique, les sorties standard et erreur sont presque toujours enregistrées quelque part).

Pour les headers, ce n'est utile que si un module bloque... Ce n'a pas vraiment l'air d'être le cas. Par contre, il est vrai que si les headers ne sont pas présents, les modules dkms ne seront pas compilés. Cela pourrait entraîner l'échec de le phase "paramétrage" de l'installation du noyau.

L'erreur me semble être une bête erreur d'alias. Avant de jouer avec fstab cependant, donne-nous ce que ta demandé Clem : ls -al /dev/disk/by-uuid
et le contenu des logs d'installation (dans /var/log/apt)
et le résultat de sudo update-grub
ensuite, nous verrons ce qu'il convient de faire

Hors ligne

#8 10-11-2010 18:42:30

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

J'espère également que ce n'est qu'une erreur d'alias, tout le reste me semble bien compliqué...
Voilà le résultats des différentes commandes :

 ls -al /dev/disk/by-uuid/
total 0
drwxr-xr-x 2 root root 160 nov 10 14:53 .
drwxr-xr-x 6 root root 120 nov 10 14:53 ..
lrwxrwxrwx 1 root root  10 nov 10 15:34 4C64-76D1 -> ../../hda5
lrwxrwxrwx 1 root root  10 nov 10 15:34 5b9a88e9-78df-4c04-a519-23826c673e5f -> ../../hda7
lrwxrwxrwx 1 root root  10 nov 10 15:34 704aa74d-7e7c-443e-9bed-688c8be26085 -> ../../hda6
lrwxrwxrwx 1 root root  10 nov 10 14:53 90C46CDBC46CC556 -> ../../sda1
lrwxrwxrwx 1 root root  10 nov 10 15:34 c1428617-3fbd-4566-aaff-8fbec3c99eb2 -> ../../hda3
lrwxrwxrwx 1 root root  10 nov 10 15:34 E8C3-4C5B -> ../../hda1


/var/log/apt/term.log :

Log started: 2010-11-10  14:06:40
(Lecture de la base de données... 173902 fichiers et répertoires déjà installés.)

Préparation du remplacement de perl-modules 5.10.0-19lenny2 (en utilisant .../perl-modules_5.10.1-15_all.deb) ...

Dépaquetage de la mise à jour de perl-modules ...

Sélection du paquet libdb4.7 précédemment désélectionné.

Dépaquetage de libdb4.7 (à partir de .../libdb4.7_4.7.25-9_i386.deb) ...

Préparation du remplacement de perl 5.10.0-19lenny2 (en utilisant .../perl_5.10.1-15_i386.deb) ...

Dépaquetage de la mise à jour de perl ...

Préparation du remplacement de libperl5.10 5.10.0-19lenny2 (en utilisant .../libperl5.10_5.10.1-15_i386.deb) ...

Dépaquetage de la mise à jour de libperl5.10 ...

Préparation du remplacement de perl-base 5.10.0-19lenny2 (en utilisant .../perl-base_5.10.1-15_i386.deb) ...

Dépaquetage de la mise à jour de perl-base ...

Traitement des actions différées (« triggers ») pour « man-db »...

Paramétrage de perl-base (5.10.1-15) ...

(Lecture de la base de données... 174075 fichiers et répertoires déjà installés.)

Préparation du remplacement de libuuid1 1.41.3-1 (en utilisant .../libuuid1_2.17.2-3.3_i386.deb) ...

Dépaquetage de la mise à jour de libuuid1 ...

Paramétrage de libuuid1 (2.17.2-3.3) ...

Sélection du paquet libuuid-perl précédemment désélectionné.

(Lecture de la base de données... 174075 fichiers et répertoires déjà installés.)

Dépaquetage de libuuid-perl (à partir de .../libuuid-perl_0.02-4_i386.deb) ...

Sélection du paquet linux-base précédemment désélectionné.

Dépaquetage de linux-base (à partir de .../linux-base_2.6.32-27_all.deb) ...

Sélection du paquet linux-image-2.6.32-5-686 précédemment désélectionné.

Dépaquetage de linux-image-2.6.32-5-686 (à partir de .../linux-image-2.6.32-5-686_2.6.32-27_i386.deb) ...

Sélection du paquet firmware-linux-free précédemment désélectionné.

Dépaquetage de firmware-linux-free (à partir de .../firmware-linux-free_2.6.32-27_all.deb) ...

Traitement des actions différées (« triggers ») pour « man-db »...

Paramétrage de libdb4.7 (4.7.25-9) ...

Paramétrage de libperl5.10 (5.10.1-15) ...

Paramétrage de libuuid-perl (0.02-4) ...

Paramétrage de linux-base (2.6.32-27) ...

/dev/sda1: error opening volume

/dev/mmcblk0p1: error opening volume

/dev/sdb1: error opening volume

Paramétrage de linux-image-2.6.32-5-686 (2.6.32-27) ...

Running depmod.

Running update-initramfs.

update-initramfs: Generating /boot/initrd.img-2.6.32-5-686

Running update-grub.

Searching for GRUB installation directory ... found: /boot/grub

Searching for default file ... found: /boot/grub/default

Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst

Searching for splash image ... none found, skipping ...

Found kernel: /boot/vmlinuz-2.6.32-5-686

Found kernel: /boot/vmlinuz-2.6.26-2-686

Found kernel: /boot/vmlinuz-2.6.18-6-686

Updating /boot/grub/menu.lst ... done



Paramétrage de firmware-linux-free (2.6.32-27) ...

Paramétrage de perl-modules (5.10.1-15) ...

Paramétrage de perl (5.10.1-15) ...

Log ended: 2010-11-10  14:08:26


et le update-grub :

# update-grub
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.32-5-686
Found kernel: /boot/vmlinuz-2.6.26-2-686
Found kernel: /boot/vmlinuz-2.6.18-6-686
Updating /boot/grub/menu.lst ... done

Hors ligne

#9 10-11-2010 18:57:58

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Le seul truc qui est évident ç'est ça:

/dev/sda1: error opening volume

/dev/mmcblk0p1: error opening volume

/dev/sdb1: error opening volume


Mais selon ton fstab ce sont des partitions Windows. ET la partition / est conforme.

Je serais étonné que le disque nécessite un firmware mais à tout hasard installe le paquet firmware-linux-nonfree. ( depuis Squeeze les firmwares non libres sont extraits du noyau, ce qui peut occasionner quelque surprises )

Autre chose: Squeeze *nécessiterait* -t-elle grub2 ??? A votre avis ?

EDIT = Je n'ai rien dit !!! Voir ici : http://debian-facile.org/forum/viewtopi … 730#p24730

Dernière modification par Clem (11-11-2010 01:01:04)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#10 10-11-2010 20:09:26

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Minute... Dans grub, édite la ligne correspondant au bon noyau (avec "e") puis recopie l'uuid de la partition racine (juste pour nous la fournir). Ensuite, fais la même chose avec un noyau qui marche pour constater les différences.

Donne-les nous ici.

EDIT: non, grub2 n'est pas obligatoire. Je pensais d'abord à des choses qu'il manquerait au nouveau noyau pour fonctionner, mais grub ne va même pas jusqu'au nouveau noyau. Donc soit ce dernier est mal installé, soit il y a un pb avec grub (sachant, je le répète, que grub devrait fonctionner aussi bien que grub 2)

EDIT2: En fait, édite les lignes (ne crains rien, les éditions dans grub ne sont pas permanentes) et compare-les.

Dernière modification par Asmodée (10-11-2010 20:12:55)

Hors ligne

#11 10-11-2010 20:10:33

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Minute... Dans grub, édite la ligne correspondant au bon noyau (avec "e")


C'est à dire en tapant la lettre "e" sur ton clavier smile

Edit :
Il est à noter que cette édition ne durera que le temps d'essayer,. Si ça marche, il sera nécessaire de changer ton grub en l'éditant normalement, avec nano ou vim ou gedit.

Dernière modification par smolski (10-11-2010 20:13:29)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#12 11-11-2010 00:06:49

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Il m'est venue une idée ( fulgurante): A lieux de passer au kernel de testing, passer par celui backports.
Désinstalle le noyau de Squeeze
Donc commente les sources Squeeze et ajoute ceci a ton sources.list

deb http://backports.debian.org/debian-backports lenny-backports main contrib non-free


Il y à dans ce dépots ( officiel maintenant ) une version 2.6.32
qui est adaptée a un usage sous Lenny.
La différence est minime mais le système jouera moins au grand écart entre les branches.

PS: D'ailleurs je vais aller éditer mon post initial, cette façon de faire étant moins rock'n'rool que la précedente.

EDIT= Voila c'est fait : http://debian-facile.org/forum/viewtopi … 614#p24614

Dernière modification par Clem (11-11-2010 00:17:05)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#13 11-11-2010 00:56:33

tux12
Membre
Lieu : ./
Distrib. : Squeeze
Noyau : Linux 2.6.32-5-686-bigmem
(G)UI : KDE
Inscription : 27-02-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Bonsoir,

Oui Clem, ça aurait été le plus simple dès le départ. Maintenant que la migration est entamée, je ne suis pas certain que ça soit sans risque. Donc avant de faire ça, je propose une piste moins intrusive il me semble, dites moi si je me trompe.

Asmodée a écrit :

grub ne va même pas jusqu'au nouveau noyau.


Il me semble que si, c'est au basculement de racine entre initrd et le système de fichier sur disque (pivot_root) que ça me paraît coincer.
Je suggère de tenter un initramfs-update -k linux-image-2.6.32-5-686 -u ou approchant, il y a p-ê d'autres options utiles à fournir, mais j'avoue ne pas avoir lu le man. wink

Z'en pensez quoi?

Edit: initramfs-update
boot et initramfs

Dernière modification par tux12 (11-11-2010 01:06:25)

Hors ligne

#14 11-11-2010 01:05:24

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Bhen que le noyau de Lenny étant toujours viable. La suppression / purge du 2.6.32 ne pose aucun problème ( c'est le seul paquet qui ait été mis à jour ). Dans cette situation ( ce bug est vraiment trés chiant, il sont 3 en moins d'une semaine à avoir bousillés leurs systèmes sur debian-fr ) si on peut faire machine arrière il faut le faire.

Dernière modification par Clem (11-11-2010 01:06:35)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#15 11-11-2010 01:09:03

tux12
Membre
Lieu : ./
Distrib. : Squeeze
Noyau : Linux 2.6.32-5-686-bigmem
(G)UI : KDE
Inscription : 27-02-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

c'est le seul paquet qui ait été mis à jour


C'est ce qui m'inquiétait. Tu as raison. smile

Edit:

La suppression / purge du 2.6.32


Faudrait p-ê quand même purger tous les autres paquets qui ont été configuré par l'upgrade pour éviter des Pbs de config lors du downgrade (rétrograde?). Non?


.

Dernière modification par tux12 (11-11-2010 01:30:45)

Hors ligne

#16 11-11-2010 01:43:27

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Oui. Ca serait plus prudent. Il sont peu nombreux :

Paramétrage de libdb4.7 (4.7.25-9) ...

Paramétrage de libperl5.10 (5.10.1-15) ...

Paramétrage de libuuid-perl (0.02-4) ...

Paramétrage de linux-base (2.6.32-27)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#17 11-11-2010 07:19:55

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Salut,

J'écris depuis une Squeeze qui était une Lenny il y à moins de deux heures.

Pour mettre en situation j'ai installé un Lenny standard ( gnome intégral ) et tout les logiciels dont j'avais l'usage. Et installé des drivers en pinning de Sid pour compliquer les choses.

Je confirme il faut passer par les backports. La suppression du noyau de Squeeze devrait supprimer aussi les dépendances, quoi qu'il en soit le kernel-bpo à lui aussi ces dépendances et devrait écraser les précédantes.

Donc un résumé de cette petite aventure:

1. Installer le 2.6.32-bpo-5

2. Rebouter dessus. Et se loguer en root dans un tty . C'est important car durant la migration X est coupé ( je me suis mis dans une belle panade d'ailleurs mais j'ai eu du bol aptitude n'était qu'à moitié massacré )

3. De la:

aptitude install udev firmware-linux firmware-linux-free firmware-linux-nonfree


Chez moi la carte réseau n'était pas reconnu sans les firmwares ( embêtant n's'pas pour une migration )

aptitude dist-upgrade
... Blablabla ... Plein de lignes qui font peur ... Répondre oui quand même ...
aptitude upgrade


Ici une partie des logiciels passent à la trappe pour y remédier :

aptitude install gnome gdm


Vérifier que l'environnement de bureau est complet:

invoke-rc.d gdm stop
invoke-rc.d gdm start


Et on redémarre sur le noyau Squeeze : Et hop !!! On à un buraeu tout neuf, tout beau.

Il faut compter un certains temps pour cogiter et upgrader, ceci dit durant un jour férié c'est bien big_smile
Si alicia se pointe je ne serait pas là mais je poste le fichiers qui m'ont permis de migrer.

D'abord le sources.list:

## Lenny

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main

deb http://mirror.home-dn.net/debian-multimedia/ lenny main
deb-src http://mirror.home-dn.net/debian-multimedia/ lenny main

deb http://backports.debian.org/debian-backports lenny-backports main contrib non-free
deb-src http://backports.debian.org/debian-backports lenny-backports main contrib non-free

## Squeeze

deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

##deb http://volatile.debian.org/debian-volatile squeeze/volatile main
##deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main

deb http://mirror.home-dn.net/debian-multimedia/ squeeze main non-free
deb-src http://mirror.home-dn.net/debian-multimedia/ squeeze main non-free

## Sid

deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free

deb http://mirror.home-dn.net/debian-multimedia/ sid main non-free
deb-src http://mirror.home-dn.net/debian-multimedia/ sid main non-free


Le fichiers /etc/apt/preferences de Lenny et backports:

Package: *
Pin: release o=Debian,a=stable,l=Debian-Security
Pin-Priority: 995

Package: *
Pin: release o=Debian,a=stable,l=Debian
Pin-Priority: 990

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable,l=Unofficial Multimedia Packages
Pin-Priority: 980

Package: *
Pin: release o=Debian,a=testing,l=Debian-Security
Pin-Priority: 90

Package: *
Pin: release o=Unofficial Multimedia Packages,a=testing,l=Unofficial Multimedia Packages
Pin-Priority: 80

Package: *
Pin: release o=Debian,a=testing,l=Debian
Pin-Priority: 90

Package: *
Pin: release o=Debian,a=unstable,l=Debian
Pin-Priority: 50

Package: *
Pin: release o=Unofficial Multimedia Packages,a=unstable,l=Unofficial Multimedia Packages
Pin-Priority: 40


Et celui de la Squeeze:

Package: *
Pin: release o=Debian,a=testing,l=Debian-Security
Pin-Priority: 900

Package: *
Pin: release o=Unofficial Multimedia Packages,a=testing,l=Unofficial Multimedia Packages
Pin-Priority: 800

Package: *
Pin: release o=Debian,a=testing,l=Debian
Pin-Priority: 900

Package: *
Pin: release o=Debian,a=stable,l=Debian-Security
Pin-Priority: 450

Package: *
Pin: release o=Debian,a=stable,l=Debian
Pin-Priority: 440

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable,l=Unofficial Multimedia Packages
Pin-Priority: 400


Package: *
Pin: release o=Debian,a=unstable,l=Debian
Pin-Priority: 300

Package: *
Pin: release o=Unofficial Multimedia Packages,a=unstable,l=Unofficial Multimedia Packages
Pin-Priority: 250


Bon c'est pas tout ça ais j'ai des poules à aller réveiller cool

@+


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#18 11-11-2010 07:47:06

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Merci Clem, ça ferait presque le tuto d'une migration de Lenny à Squeeze ce post !

j'ai des poules à aller réveiller


''Acré tombeur va ! wink

Amitié, Jojo


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#19 11-11-2010 16:00:46

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

tux12 a écrit :

Asmodée a écrit :

grub ne va même pas jusqu'au nouveau noyau.


Il me semble que si, c'est au basculement de racine entre initrd et le système de fichier sur disque (pivot_root) que ça me paraît coincer.


Ce que tu suggères semble bien... Pas sûr pour initrd... D'autant que EXT3 est supporté directement par grub et que je ne vois aucune raison qu'initrd ne contienne pas le module ext3 inclus en dur... Ça aurait été ZFS ou autre, d'accord... Mais là, ext3...

Le noyau, comme initrd sont sur la partition boot. Si l'un est lu, l'autre aussi. Cela doit donc bloquer, soit avant (et quand grub ne trouve pas la partition racine, c'est bien avant), soit après (mais bon, là, c'est le kernel panic avec les dels qui clignotent).

Hors ligne

#20 11-11-2010 16:02:32

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Est-ce que les lignes de boot ont été comparées pour le noyau qui fonctionne et celui qui ne fonctionne pas ?

Hors ligne

#21 11-11-2010 16:25:00

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Pour la mise à jour, j'ai aussi lu qu'il était nécessaire de mettre à jour dpkg, apt-get et aptitude vers squeeze avant d'effectuer le reste des mises à jour. Il semblerait que dpkg dans squeeze contienne de nouvelles routines liées au paramétrage des paquets. Ces nouvelles routines doivent aussi être prises en compte par aptitude et apt-get pour que le tout fonctionne.

Il est possible que ce soit ce qui ait empêché ton noyau de démarrer.

Sinon, et c'est pour ça que j'ai été très insistant sur la comparaison des lignes de boot de tes noyaux : uuid n'est normalement pas une fonction de grub, mais de grub2.

Hors ligne

#22 14-11-2010 22:31:49

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Asmodée a écrit :

Pour la mise à jour, j'ai aussi lu qu'il était nécessaire de mettre à jour dpkg, apt-get et aptitude vers squeeze avant d'effectuer le reste des mises à jour. Il semblerait que dpkg dans squeeze contienne de nouvelles routines liées au paramétrage des paquets.

Sinon, et c'est pour ça que j'ai été très insistant sur la comparaison des lignes de boot de tes noyaux : uuid n'est normalement pas une fonction de grub, mais de grub2.


Je confirme.


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#23 15-11-2010 16:21:36

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Bonjour tous !

Me revoilà après quelques jours très occupés par la rédaction de quelques rapports pour mon master, donc j'ai pas trop eu le temps de regarder tout les précieux conseils que vous m'avez fournis... :$
Je m'y attelle de ce pas, et j'ai une curieuse envie de résumer et synthétiser tout ça, afin que ça soit bien clair dans ma petite tête (fâcheuse habitude de scientifique).

Pour commencer, les lignes de grub correspondants aux deux noyaux (lenny 2.6.26 et squeeze 2.6.32) sont totalement identiques, seule la version du noyau change (jusque là tout va bien). A aucun endroit n'est mentionné le uuid. Pour chaque ligne, j'ai ces 3 lignes :

root (hd0,2)
kernel /boot/vmlinuz-2.6.xx.x-686 root=/dev/hda3 ro
initrd /boot/initrd.img-2.6.xx.x.686


où xx.x sont 26.2 ou 32.5 suivant le noyau considéré.

Pour info, mes partitions /dev/sda1 et /dev/sdb1 correspondent à mes ports usb, donc ça m'a l'air normal qu'il ne puisse pas les voir si rien n'est branché dessus (ce qui était le cas lors de l'update).

Ensuite, si j'ai bien compris j'ai deux possibilités :

1) désinstaller le noyau squeeze, puis passer par les backports (j'ai également 2/3 questions sur la procédure à suivre, bien qu'elle ait été assez bien détaillée par Clem !). Voilà ce que j'en ai compris :

1* désinstaller le noyau (dans synaptic, sélectionner pour suppression complète ?)
2* commenter les sources squeeze dans sources.list et ajouter la ligne des backports
3* installer le noyau 2.6.32-bpo-5 (depuis Synaptic ?)
4* booter dessus
5* se loguer en root dasn un tty ??????? comment je peux faire ça ??
6* install firmware blablabla
7* upgrade
8* install gnome
9* vérif gnome (invoke-rc blablabla)
10* rebooter sur noyau squeeze (qui devrait je pense apparaître dans grub comme 2.6.32.5 ?)
11* est-ce que je dois avoir le même sources.list que clem (je suis pas tout à fait sure qu'il soit exactement identique...) ? les sources pour squeeze apparaissent toutes seules (si je me souviens, on n'y rajoute que la ligne de backports avant la migration...) ? idem pour les /etc/apt/preferences ? (genre est-ce qu'il faut que je fasse un copier coller de ces fichiers dans les miens par exemple ?)
12* Miraculeusement normalement tout ça devrait fonctionner et me donner un joli squeeze tout neuf surlequel mes enceintes fonctionnent....


2) Faire qq mises à jour et voir si ça suffit : genre update dpkg/apt-get/aptitude (ici encore, comment faire ? directement dans Synaptic ?). A propos du initramfs-update suggéré par tux12, je dois le faire ou non ? à quel moment depuis quel endroit tout ça tout ça ?

Thanks again pour vos recherches et le temps que vous passez à m'aider smile

Hors ligne

#24 15-11-2010 20:01:30

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Salut,



Alicia a écrit :

2) Faire qq mises à jour et voir si ça suffit : genre update dpkg/apt-get/aptitude (ici encore, comment faire ? directement dans Synaptic ?). A propos du initramfs-update suggéré par tux12, je dois le faire ou non ? à quel moment depuis quel endroit tout ça tout ça ?


Ca devrait être faisable mais personnellement je ne prendrais pas le risque.

Alicia a écrit :

1) désinstaller le noyau squeeze, puis passer par les backports (j'ai également 2/3 questions sur la procédure à suivre, bien qu'elle ait été assez bien détaillée par Clem !). Voilà ce que j'en ai compris :

1* désinstaller le noyau (dans synaptic, sélectionner pour suppression complète ?)
2* commenter les sources squeeze dans sources.list et ajouter la ligne des backports
3* installer le noyau 2.6.32-bpo-5 (depuis Synaptic ?)
4* booter dessus


C'est tout à fait ça.

Alicia a écrit :

5* se loguer en root dasn un tty ??????? comment je peux faire ça ??


A démarrage control + alt + F1 ;
$MACHINE login: root
<mot de passe>
Et voilou.
Tu peut tester de suite pour te faire la main. control + alt + F7 ( ou F8 ) pour revenir "en graphique"

Alicia a écrit :

6* install firmware blablabla
7* upgrade
8* install gnome
9* vérif gnome (invoke-rc blablabla)
10* rebooter sur noyau squeeze (qui devrait je pense apparaître dans grub comme 2.6.32.5 ?)


Tout à fait. Installer grub2 (grub-pc) serait plus sur, ainsi qu'un update-grub2 manuel.
C'est lors de l'installation de udev et de firmware-linux qu'il faut penser à mettre à jour dpkg, aptitude et apt-get 

Alicia a écrit :

11* est-ce que je dois avoir le même sources.list que clem (je suis pas tout à fait sure qu'il soit exactement identique...) ? les sources pour squeeze apparaissent toutes seules (si je me souviens, on n'y rajoute que la ligne de backports avant la migration...) ? idem pour les /etc/apt/preferences ? (genre est-ce qu'il faut que je fasse un copier coller de ces fichiers dans les miens par exemple ?)


Mon fichiers sources.list comprend toutes les sources "habituelles": Lenny, Squeeze, Sid. Tu peux te débarrasser de ce qui concerne Sid si tu n'en as pas l'utilité.
Le premier fichier preferences donne la priorité au dépots Lenny ( et aux backports qui ont une préférence "arbitraire" de 400 ) et le second donne la priorité aus dépots Squeeze.

Tu peux si tu le souhaite te passer de fichiers preferences et ajouter les dépots à ton sources.list au fur et à mesure mais en cas de problème de dépendances cela ne simplifiera pas la migration.

Alicia a écrit :

12* Miraculeusement normalement tout ça devrait fonctionner et me donner un joli squeeze tout neuf surlequel mes enceintes fonctionnent....


Un p'tit coup d'alsamixer et ça devrait être bon ( ou alors la bidouille que j'ai utilisée dans le fil précédent) Ca dépendra du degré de "rétivité" de ta carte son.
Sur mon portable ( 2 ans d'age ) y'a jamais rien qui fonctionnait avec Lenny. Sous Squeeze, tout marche presqu' out of the box ).

Alicia a écrit :

Thanks again pour vos recherches et le temps que vous passez à m'aider smile


C'est un plaisir smile

Dernière modification par Clem (15-11-2010 20:03:00)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#25 15-11-2010 21:38:39

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Re !
juste une question en passant : après avoir installé le linux-support-2.6.32-bpo-5, je ne peux rebooter que sur mon 2.6.26... (pas de nouvelle ligne dans grub). C'est normal ? Je dois me booter sur 2.6.26 puis ensuite passer dans un tty et faire la suite ?

Hors ligne

Pied de page des forums